package com.sun.java.swing.plaf.motif;

import javax.swing.Icon;
import javax.swing.JLabel;
import java.awt.Color;
import java.awt.Graphics;
import javax.swing.JPanel;
import java.awt.Dimension;
import java.awt.Container;
import javax.swing.plaf.ComponentUI;
import javax.swing.JComponent;
import javax.swing.plaf.basic.BasicOptionPaneUI;

public class MotifOptionPaneUI extends BasicOptionPaneUI
{
    public MotifOptionPaneUI() {
    }
    
    public static ComponentUI createUI(JComponent component) {
        return new MotifOptionPaneUI();
    }
    
    @Override
    protected Container createButtonArea() {
        Container buttonArea = super.createButtonArea();
        if (buttonArea != null && buttonArea.getLayout() instanceof BasicOptionPaneUI.ButtonAreaLayout) {
            ((BasicOptionPaneUI.ButtonAreaLayout)buttonArea.getLayout()).setCentersChildren(false);
            return buttonArea;
        }
        return buttonArea;
    }
    
    @Override
    public Dimension getMinimumOptionPaneSize() {
        return null;
    }
    
    @Override
    protected Container createSeparator() {
        return new JPanel() {
            @Override
            public Dimension getPreferredSize() {
                return new Dimension(10, 2);
            }
            
            @Override
            public void paint(Graphics graphics) {
                int width = this.getWidth();
                graphics.setColor(Color.darkGray);
                graphics.drawLine(0, 0, width, 0);
                graphics.setColor(Color.white);
                graphics.drawLine(0, 1, width, 1);
            }
        };
    }
    
    @Override
    protected void addIcon(Container container) {
        Icon icon = this.getIcon();
        if (icon != null) {
            JLabel comp = new JLabel(icon);
            comp.setVerticalAlignment(0);
            container.add(comp, "West");
        }
    }
}
